General
General Information
Generate a signature
Deposits
Getting started
Create a deposit
Create a deposit without redirection (iframe)
Deposit notification (webhook)
Check an deposit status
Get a list of deposits
Deposits without 8-day waiting period (Steam Trade Protection)
Deposit approval with 8-day hold
Get failed webhook notifications
Deposits without SkinsBack UI
Create a deposit without SkinsBack UI (API)
Get user's inventory
Skins Withdraw
Skins price list
Skins search
Buy skin
Bulk buy skins
Get skin purchase info
Skin purchase history
Other
Get the project balance
Get the history of withdrawals and deposits of money
Get currencies and rates
Server status
Events real-time: websockets
Events real-time: webhooks
Purchase history
Information for all purchased items. Limit on output 1000.
The required parameters are highlighted in blue.
Send a POST request to API Endpoint with the following parameters:
method
string
market_history
starting
int
Starting UNIX time
ending
int
Ending UNIX time
start_from
int
start_from parameter from response for page navigation (results limited 1000)
Response from the server:
If successful, a JSON object with the following contents will be sent in response:
total_count
int
Total results count (results limited 1000)
has_more
bool
Are there more pages to paginate
start_from
int
Used for page navigation
items
array
An array of the elements described below
'items' structure
item
object
An object containing information about the purchased skin
— item.id
int
Skin ID
— item.name
string
Skin name
— item.price
float
Skin price in USD
— item.classid
string
Class ID of skin
buy_id
int
Skin purchase ID
offer_status
string
Skin purchase status:
1. 'creating_trade' — trade in the process of creation
2. 'waiting_accept' — waiting for trade accept
3. 'accepted' — trade accepted
4. 'canceled' — the trade was rejected by the user
5. 'timeout' — timeout (10 minutes)
6. 'invalid_trade_token' — invalid trade token
7. 'user_not_tradable' — the user has trade restrictions
8. 'trade_create_error' — error of creating a trade (try again)
9. 'rollback_user' — skin has been returned by user (Steam Trade Protection)
10. 'rollback_supplier' — skin has been returned by supplier (Steam Trade Protection)
1. 'creating_trade' — trade in the process of creation
2. 'waiting_accept' — waiting for trade accept
3. 'accepted' — trade accepted
4. 'canceled' — the trade was rejected by the user
5. 'timeout' — timeout (10 minutes)
6. 'invalid_trade_token' — invalid trade token
7. 'user_not_tradable' — the user has trade restrictions
8. 'trade_create_error' — error of creating a trade (try again)
9. 'rollback_user' — skin has been returned by user (Steam Trade Protection)
10. 'rollback_supplier' — skin has been returned by supplier (Steam Trade Protection)
in_hold
bool
Is the skin in hold or not
in_hold_until
string (datetime)
The date until which the skin will be on hold (a rollback may be made)
error_reason
string
Reason (if present):
1. 'user_cant_trade' - user has a restriction on trading in Steam
2. 'private_inventory' - user needs to open inventory
3. 'user_trade_ban' - user has Trade Ban
4. 'user_inventory_is_full' - user's inventory is full
5. 'too_many_failed_attempts' - too many failed withdrawal attempts for user
6. 'skin_unavailable' - skin unavailable for purchase (or sold)
1. 'user_cant_trade' - user has a restriction on trading in Steam
2. 'private_inventory' - user needs to open inventory
3. 'user_trade_ban' - user has Trade Ban
4. 'user_inventory_is_full' - user's inventory is full
5. 'too_many_failed_attempts' - too many failed withdrawal attempts for user
6. 'skin_unavailable' - skin unavailable for purchase (or sold)
steamid
string
Steam ID of user
date
int
Purchase date (UNIX time)
balance_debited_sum
float
The amount debited from the project's balance (USD)
tradeofferid
string
Trade Offer ID on Steam (only available if the trade was created)
custom_id
string
'custom_id' in your system
Successful response example:
{
"status": "success",
"items": [
{
"item": {
"id": "2713",
"name": "AWP | Man-o'-war (Minimal Wear)",
"price": "1325.61",
"classid": "3496732101",
"instanceid": "480085569"
},
"tradeofferid": "4169974564",
"buy_id": "2",
"offer_status": "user_not_tradable",
"error_reason": "private_inventory",
"steamid": "76561198050648523",
"date": "1596623088"
},
{
"item": {
"id": "2713",
"name": "AWP | Man-o'-war (Minimal Wear)",
"price": "1325.61",
"classid": "3496732101",
"instanceid": "480085569"
},
"tradeofferid": "4169977670",
"buy_id": "3",
"offer_status": "canceled",
"error_reason": null,
"steamid": "76561198050648523",
"date": "1596623246"
},
],
"total_count": "2000",
"has_more": true,
"start_from": 999
}
List of possible errors:
1
missing_starting_or_ending
Missing start or end UNIX time
standard errors:
-1
please_use_post_method
Need to use the POST method
-2
invalid_shopid
Project Client ID not found in the system
-3
invalid_signature
Invalid signature
-4
shop_not_active
Project inactive
-5
invalid_method
Invalid API method
-7
request_limit_reached
API requests limit reached (500/per minute)
-8
invalid_ip_address
Specify IP address in merchant panel
-9
under_maintenance
Site under maintenance
-10
invalid_client_secret
Invalid X-CLIENT-SECRET header